Skip to main content
POST
/
api
/
v2
/
scan
Start a Scan
curl --request POST \
  --url https://aquilax.ai/api/v2/scan \
  --header 'Content-Type: application/json' \
  --header 'X-AX-KEY: <api-key>' \
  --data '
{
  "git_uri": "https://github.com/AquilaX-AI/vulnapp-python",
  "branch": "main"
}
'
import requests

url = "https://aquilax.ai/api/v2/scan"

payload = {
"git_uri": "https://github.com/AquilaX-AI/vulnapp-python",
"branch": "main"
}
headers = {
"X-AX-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-AX-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({git_uri: 'https://github.com/AquilaX-AI/vulnapp-python', branch: 'main'})
};

fetch('https://aquilax.ai/api/v2/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "scan_id": "67e9f3205357d4a0178efde6"
}

Authorizations

X-AX-KEY
string
header
required

Query Parameters

org
string
default:your_own_org
required
group
string
default:""
required

Body

application/json

Data to submit on your request to Securitron

git_uri
string

Git URL to scan

Example:

"https://github.com/AquilaX-AI/vulnapp-python"

branch
string
default:main

Git Branch to Scan, if not set then main will be used

Example:

"main"

Response

200 - text/markdown

Successful response with a structured text output

scan_id
string

Scan ID of the new Scan

Example:

"67e9f3205357d4a0178efde6"